cascading.flow.planner

## Class PlannerContext

- java.lang.Object
- - cascading.flow.planner.PlannerContext

-     public class PlannerContext
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PlannerContext` | `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlannerContext()`
    `PlannerContext(RuleRegistry ruleRegistry)`
    `PlannerContext(RuleRegistry ruleRegistry, FlowPlanner flowPlanner, FlowDef flowDef, Flow flow, boolean isTransformTracingEnabled)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementFactory` | `getElementFactoryFor(String factoryName)`
    `Flow` | `getFlow()`
    `FlowDef` | `getFlowDef()`
    `FlowPlanner` | `getFlowPlanner()`
    `int` | `getIntProperty(String property, int defaultValue)`
    `ProcessLogger` | `getLogger()`
    `PlannerLevel` | `getPlannerLevelFor(Class<? extends PlannerLevel> plannerLevelClass)`
    `RuleRegistry` | `getRuleRegistry()`
    `String` | `getStringProperty(String property)`
    `boolean` | `isTransformTracingEnabled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final PlannerContext NULL

  - ### Constructor Detail

    - #### PlannerContext

          public PlannerContext()

    - #### PlannerContext

          public PlannerContext(RuleRegistry ruleRegistry)

    - #### PlannerContext

          public PlannerContext(RuleRegistry ruleRegistry,
                        FlowPlanner flowPlanner,
                        FlowDef flowDef,
                        Flow flow,
                        boolean isTransformTracingEnabled)

  - ### Method Detail

    - #### getStringProperty

          public String getStringProperty(String property)

    - #### getIntProperty

          public int getIntProperty(String property,
                           int defaultValue)

    - #### getRuleRegistry

          public RuleRegistry getRuleRegistry()

    - #### getFlowPlanner

          public FlowPlanner getFlowPlanner()

    - #### getFlowDef

          public FlowDef getFlowDef()

    - #### getFlow

          public Flow getFlow()

    - #### getLogger

          public ProcessLogger getLogger()

    - #### isTransformTracingEnabled

          public boolean isTransformTracingEnabled()

    - #### getPlannerLevelFor

          public PlannerLevel getPlannerLevelFor(Class<? extends PlannerLevel> plannerLevelClass)

    - #### getElementFactoryFor

          public ElementFactory getElementFactoryFor(String factoryName)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.